# Remember Session

This feature instructs Laravel's authentication layer to keep the user authenticated indefinitely, or until they manually logout. This feature is the equivalent of having the "remember me" checkbox on a login form checked.

In order for this feature to work, your `users` table must include the string `remember_token` column, which will be used to store the "remember me" token. The `users` table migration included with new Laravel applications already includes this column.

If you have this feature enabled, you may use the `viaRemember` method to determine if the currently authenticated user was authenticated using the "remember me" cookie:

```php
use Illuminate\Support\Facades\Auth;
 
if (Auth::viaRemember()) {
    // ...
}
```

To turn on this feature add the following to applications `socialstream.php` config file:

```php
Features::rememberSession()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.socialstream.dev/features/remember-session.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
